﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;
using System.Drawing;
using System.Globalization;
using System.Data;

namespace Telerik.Simple.RadChart
{
    public partial class Example : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            RadChart1.DataSource = PopulateMyDataSource();
            RadChart1.DataBind();
        }

        public void RadChart1_BeforeLayout(object sender, EventArgs e)
        {
            RadChart1.Series[0].Items[1].Appearance.FillStyle.MainColor = Color.FromArgb(235, 140, 104);
            RadChart1.Series[0].Items[1].Appearance.FillStyle.SecondColor = Color.FromArgb(214, 110, 90);

            //Uncomment this code if you prefer to set the labels text with hard-coded array
            //string[] labels = new[] { "Open", "Past" };

            //for (int i = 0; i < labels.Length; i++)
            //    RadChart1.PlotArea.XAxis.Items[i].TextBlock.Text = labels[i];
        }

        private DataTable PopulateMyDataSource()
        {
            //You should retrieve this data from your data source.
            DataTable table = new DataTable();

            DataColumn column = new DataColumn("Labels", typeof(string));
            DataColumn column1 = new DataColumn("Data", typeof(int));

            table.Columns.Add(column);
            table.Columns.Add(column1);

            DataRow row1 = table.NewRow();
            row1[0] = "Open";
            row1[1] = 134;

            DataRow row2 = table.NewRow();
            row2[0] = "Past";
            row2[1] = 34;

            table.Rows.Add(row1);
            table.Rows.Add(row2);

            return table;
        }
    }
}
